%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%bcond_without camomile
%ifarch %{ocaml_native_compiler}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           ocaml-gettext
Version:        0.5.0
Release:        %mkrel 1
Summary:        OCaml library for i18n
Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/gildor478/ocaml-gettext
Source0:        https://github.com/gildor478/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Fix to stop using dune-site
# https://github.com/gildor478/ocaml-gettext/issues/36
# https://github.com/gildor478/ocaml-gettext/pull/37
Patch:          https://github.com/gildor478/ocaml-gettext/pull/37.patch

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-fileutils-devel >= 0.6.6-1
BuildRequires:  ocaml-dune >= 1.11.0
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-camomile-devel >= 0.8.6
BuildRequires:  ocaml-camomile-data
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  chrpath
Requires:       ocaml-fileutils
Requires:       ocaml-camomile
Requires:       ocaml-camomile-data

%description
OCaml-gettext provides support for internationalization of OCaml
programs.

Constraints :

* provides a pure OCaml implementation,
* the API should be as close as possible to GNU gettext,
* provides a way to automatically extract translatable
  strings from OCaml source code.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-fileutils-devel
Requires:       ocaml-camomile-devel


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        camomile
Summary:        Parts of %{name} which depend on Camomile
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    camomile
The %{name}-camomile package contains the parts of %{name} which
depend on Camomile.

%package        camomile-devel
Summary:        Development files for %{name}-camomile
Group:          Development/OCaml
Requires:       %{name}-devel = %{version}-%{release}
Requires:       %{name}-camomile = %{version}-%{release}
Requires:       ocaml-camomile-devel%{?_isa}


%description    camomile-devel
The %{name}-camomile-devel package contains libraries and
signature files for developing applications that use
%{name}-camomile.

%prep
%autosetup -p1

# Remove ocaml-seq dependency.  See note above.
sed -i 's/ seq / /' test/dune

%if %{without camomile}
# Remove dependency on camomile.
rm -f gettext-camomile.opam
rm -r src/lib/gettext-camomile
rm -r test/test-camomile
sed -i -e 's/camomile//' `find -name dune`
awk -i inplace -v RS='^\\(package' -v ORS= \
     '{while(sub(/\(package\n *\(name gettext-camomile\).*\)\)\)\)/,""));} {print}' dune-project
%endif


%build
%dune_build


%install
%dune_install -s
sed -i '\@%{_bindir}@d;\@%{_mandir}@d' .ofiles-gettext
cat .ofiles-gettext-stub >> .ofiles-gettext
cat .ofiles-gettext-stub-devel >> .ofiles-gettext-devel


%if %{with tests}
%check
%dune_check
%endif


%files -f .ofiles-gettext
%license LICENSE.txt


%files devel -f .ofiles-gettext-devel
%doc README.md CHANGES.md THANKS TODO.md
%{_bindir}/ocaml-gettext
%{_bindir}/ocaml-xgettext
%{_mandir}/man1/ocaml-gettext.1*
%{_mandir}/man1/ocaml-xgettext.1*
%{_mandir}/man5/ocaml-gettext.5*


%files camomile -f .ofiles-gettext-camomile
%license LICENSE.txt


%files camomile-devel -f .ofiles-gettext-camomile-devel
%doc README.md


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2193687
- new version: 0.5.0

* Fri May 20 2022 pterjan <pterjan> 0.4.2-3.mga9
+ Revision: 1859448
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 0.4.2-2.mga9
+ Revision: 1751242
- Rebuild for ocaml 4.13.1

* Sun Mar 21 2021 tv <tv> 0.4.2-1.mga9
+ Revision: 1707034
- BR ocaml-compiler-libs-janestreet-devel
- 0.4.2

* Sat Jan 09 2021 pterjan <pterjan> 0.3.8-0.4.git3aecf8e5350f.3.mga8
+ Revision: 1670234
- Fix file lists and conflicts

* Fri Feb 28 2020 umeabot <umeabot> 0.3.8-0.3.git3aecf8e5350f.3.mga8
+ Revision: 1551657
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.3.8-0.3.git3aecf8e5350f.2.mga8
+ Revision: 1543769
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 0.3.8-0.3.git3aecf8e5350f.1.mga8
+ Revision: 1482256
- fix deps on camlp4

* Thu Jan 23 2020 tv <tv> 0.3.8-0.3.git3aecf8e5350f.mga8
+ Revision: 1482226
- new release + rebuild for ocaml-4.10

* Thu Oct 25 2018 daviddavid <daviddavid> 0.3.7-3.mga7
+ Revision: 1325212
- rebuild for new ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.3.7-2.mga7
+ Revision: 1299876
- Mageia 7 Mass Rebuild

* Tue Dec 05 2017 tv <tv> 0.3.7-1.mga7
+ Revision: 1181340
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.3.5-3.mga6
+ Revision: 1056355
- Rebuild for fix in ocaml

* Wed Feb 03 2016 pterjan <pterjan> 0.3.5-2.mga6
+ Revision: 932985
- Fix BuildRequires
- Rebuild for new ocaml
+ tv <tv>
- new release
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-11.mga5
+ Revision: 743765
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.3.4-10.mga5
+ Revision: 725147
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-9.mga5
+ Revision: 683039
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.4-8.mga4
+ Revision: 523380
- Mageia 4 Mass Rebuild

* Sat Apr 13 2013 malo <malo> 0.3.4-7.mga3
+ Revision: 410056
- add missing requires

* Sun Jan 13 2013 umeabot <umeabot> 0.3.4-6.mga3
+ Revision: 361390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 0.3.4-5.mga3
+ Revision: 323488
- rebuild for new ocaml-fileutils
- change BuildRequires to ocaml-compiler
+ blue_prawn <blue_prawn>
- new rpm group for ocaml

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.3.4-3.mga3
+ Revision: 300135
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.3.4-2.mga2
+ Revision: 210177
- missing requires ocaml-camomile and camlp4
- fixing META file
- spec clean-up

* Wed Oct 05 2011 shlomif <shlomif> 0.3.4-1.mga2
+ Revision: 152013
- New version - 0.3.4 - thanks to Malo.
+ fwang <fwang>
- rebuild for new ocaml

* Tue Mar 15 2011 saispo <saispo> 0.3.3-1.mga1
+ Revision: 72008
- Fix mistake
- Add Epoch on Requires
- New release 0.3.3
- imported package ocaml-gettext

